---
title: RTCRtpSender.track
slug: Web/API/RTCRtpSender/track
tags:
  - API
  - Audio
  - DTMF
  - Property
  - RTCRtpSender
  - Reference
  - Video
  - Web
  - WebRTC API
  - track
---
<p>{{APIRef("WebRTC")}}</p>

<p><span class="seoSummary">The <strong><code>track</code></strong> read-only property of the {{domxref("RTCRtpSender")}} interface returns the {{domxref("MediaStreamTrack")}} which is being handled by the <code>RTCRtpSender</code>.</span></p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox notranslate">var <em>mediaStreamTrack</em> = <em>rtcRtpSender</em>.track</pre>

<h3 id="Value">Value</h3>

<p>A {{domxref("MediaStreamTrack")}} object representing the media associated with the <code>RTCRtpSender</code>. If no track is associated with the sender, this value is <code>null</code>, in which case the sender transmits nothing.</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('WebRTC 1.0','#dom-rtcrtpsender-track','track')}}</td>
   <td>{{Spec2('WebRTC 1.0')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.RTCRtpSender.track")}}</p>
